{% extends 'base.html.twig' %}
{% block body %}
    <div id="page-content">
        <div class="container">
            <div class="row">
                <!-- sidebar -->
                <div class="col-md-3 col-sm-2">
                    <section id="sidebar">
                        <header><h3>Contul meu</h3></header>
                        <aside>
                            <ul class="sidebar-navigation">
                                <li><a href="{{ path("my-profile") }}"><i class="fa fa-user"></i><span>Profil</span></a></li>
                                <li class="active"><a href="{{ path("viewUserCategories") }}"><i class="fa fa-home"></i><span>Obiectivele mele</span></a></li>
                                <li><a href="bookmarked.html"><i class="fa fa-heart"></i><span>Obiective salvate</span></a></li>
                            </ul>
                        </aside>
                    </section><!-- /#sidebar -->
                </div><!-- /.col-md-3 -->
                <!-- end Sidebar -->
                <!-- My Properties -->
                <div class="col-md-9 col-sm-10">
                    <section id="my-properties">
                        <header><h1>Obiectivele mele</h1></header>
                        <div class="my-properties">
                            <div class="table-responsive">
                                <table class="table">
                                    <thead>
                                    <tr>
                                        <th>Obiectiv</th>
                                        <th></th>
                                        <th>Vizualizari</th>
                                        <th>Actiuni</th>
                                    </tr>
                                    </thead>
                                    <tbody>

                                    {% for objectiv in objectives.objectives %}
                                        <tr>
                                            <td class="image">
                                                <a href="property-detail.html"><img alt="" src="{{ vich_uploader_asset(objectiv, 'imageFile') }}"></a>
                                            </td>
                                            <td><div class="inner">
                                                    <a href="{{ path("viewObiectiv",{"id":objectiv.id}) }}"><h2>{{ objectiv.name }}</h2></a>
                                                    <figure>{{ objectiv.adresa }}</figure>
                                                    <div class="tag price">{{ objectiv.categorie.nume }}</div>
                                                </div>
                                            </td>
                                            <td>{{ objectiv.views }}</td>
                                            <td class="actions">
                                                <a href="{{ path("editeazaObiectiv", {"id": objectiv.id}) }}" class="edit"><i class="fa fa-pencil"></i>Edit</a>
                                                <a href="#" onclick="deleteObjetive('{{ objectiv.id }}')"><i class="delete fa fa-trash-o"></i></a>
                                            </td>
                                        </tr>
                                    {% endfor %}

                                    </tbody>
                                </table>
                            </div><!-- /.table-responsive -->
                    </section><!-- /#my-properties -->
                </div><!-- /.col-md-9 -->
                <!-- end My Properties -->
            </div><!-- /.row -->
        </div><!-- /.container -->
    </div>

    <script>
        function deleteObjetive(objectiveId) {
            $.ajax({
                        url: "/obiective/delete/" + objectiveId,

                    })
                    .done(function( data ) {
                        location.reload();
                    });
        };

    </script>
{% endblock %}